<?php
/**
 * Piwik - Open source web analytics
 * 
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 * @version $Id: MetadataCallbackReplace.php 6326 2012-05-26 21:57:42Z capedfuzz $
 * 
 * @category Piwik
 * @package Piwik
 */

/**
 * Replace a metadata value with a new value resulting 
 * from the function called with the metadata's value
 * 
 * @package Piwik
 * @subpackage Piwik_DataTable
 */
class Piwik_DataTable_Filter_MetadataCallbackReplace extends Piwik_DataTable_Filter_ColumnCallbackReplace
{
	public function __construct( $table, $metadataToFilter, $functionToApply, $functionParameters = null,
								 $extraColumnParameters = array() )
	{
		parent::__construct($table, $metadataToFilter, $functionToApply, $functionParameters, $extraColumnParameters);
	}

	protected function setElementToReplace($row, $metadataToFilter, $newValue)
	{
		$row->setMetadata($metadataToFilter, $newValue);
	}
		
	protected function getElementToReplace($row, $metadataToFilter)
	{
		return $row->getMetadata($metadataToFilter);
	}
}
